<ion-header>
  <ion-toolbar color="light">
    <ion-buttons slot="start">
      <ion-button (click)="close()">
        <ion-icon name="arrow-back"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>

  <div class="lbl-header ion-text-center ion-padding">CHOOSE DELIVERY METHODS</div>  

  <ion-card *ngFor="let option of options">
    <ion-item lines="none" color="light">
      <ion-label>
        <h2>{{option.type}}</h2>
      </ion-label>
      <ion-checkbox slot="start" [(ngModel)]="option.selected"></ion-checkbox>      
    </ion-item>

    <div class="ion-padding" *ngIf="option.id == 1 && option.selected">
      
      <form [formGroup]="frmPickup">
        <ion-item>
          <ion-label color="medium" position="stacked">
            <h2>Address</h2>
          </ion-label>
          <ion-input type="text" formControlName="address"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label color="medium" position="stacked">
            <h2>Waze</h2>
          </ion-label>
          <ion-input type="text" formControlName="waze"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label color="medium" position="stacked">
            <h2>Mobile No</h2>
          </ion-label>
          <ion-input type="number"  formControlName="mobileNo"></ion-input>
        </ion-item>
      </form>
    </div>

    
  </ion-card>
</ion-content>

<ion-footer class="ion-text-center">
  <ion-toolbar mode="ios" color="light">
    <ion-button shape="round" color="secondary" (click)="save()">Save</ion-button>
  </ion-toolbar>
</ion-footer>